CREATE TABLE atc_lifecycle_states (
    LIFECYCLE_STATE_ID             NUMBER(18, 0) ,
    LIFECYCLE_STATE_NAME           VARCHAR2(800)     NOT NULL,
    LIFECYCLE_STATE_DESCRIPTION    VARCHAR2(4000),
    EDIT_FLAG                      VARCHAR2(4)       NOT NULL,
    ENABLED_FLAG                   VARCHAR2(4)   ,
    EDIT_CONTENT_FLAG              VARCHAR2(4)       NOT NULL,
    APPROVAL_FLAG                  VARCHAR2(4)       NOT NULL,
    PUBLISH_FLAG                   VARCHAR2(4)       NOT NULL,
    SENSITIVE_FLAG                 VARCHAR2(4)   ,
    SHARE_FLAG                     VARCHAR2(4)       NOT NULL,
    CUSTOM_FLAG                    VARCHAR2(4)       NOT NULL,
    STATE_SEQ                      NUMBER(3, 0)  ,
    ERROR_STATE                    VARCHAR2(400) ,
    USER_ACTION_NAME               VARCHAR2(800) ,
    LIFECYCLE_CONFIG_ID            NUMBER(18, 0)     NOT NULL,
    AT_TYPE                        VARCHAR2(800) ,
    AT_BASE_TYPE                   VARCHAR2(800) ,
    AT_SCHEMA_LOCATION             VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LIFECYCLE_STATE_ID             NUMBER(18, 0) ,
    LIFECYCLE_STATE_NAME           VARCHAR2(800)     NOT NULL,
    LIFECYCLE_STATE_DESCRIPTION    VARCHAR2(4000),
    EDIT_FLAG                      VARCHAR2(4)       NOT NULL,
    EDIT_CONTENT_FLAG              VARCHAR2(4)       NOT NULL,
    APPROVAL_FLAG                  VARCHAR2(4)       NOT NULL,
    PUBLISH_FLAG                   VARCHAR2(4)       NOT NULL,
    SHARE_FLAG                     VARCHAR2(4)       NOT NULL,
    CUSTOM_FLAG                    VARCHAR2(4)       NOT NULL,
    STATE_SEQ                      NUMBER(3, 0)  ,
    ERROR_STATE                    VARCHAR2(400) ,
    USER_ACTION_NAME               VARCHAR2(800) ,
    LIFECYCLE_CONFIG_ID            NUMBER(18, 0)     NOT NULL,
    AT_TYPE                        VARCHAR2(800) ,
    AT_BASE_TYPE                   VARCHAR2(800) ,
    AT_SCHEMA_LOCATION             VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ENABLED_FLAG                   VARCHAR2(4)   ,
    SENSITIVE_FLAG                 VARCHAR2(4)   ,
    CONSTRAINT pk_atc_lifecycle_states PRIMARY KEY (LIFECYCLE_STATE_ID, LIFECYCLE_STATE_ID)
);
